/*************************************************
 *soubor arry-cpy.cpp kopruje prvky jednoho pole 
 *do druhho, pstup k prvkm pole pomoc 
 *indexu i aritmetikou ukazatel
 *************************************************/

#include <iostream>
using namespace std;

void copy_array1(const int *a, int *b, int n) {
//a-vstupn pole, b-vstupn pole, n-poet prvk
 int i = 0;
 for (; i < n; i++)
   b[i] = a[i];
} // void copy_array1()

void copy_array2(const int *a, int *b, int n) {
//a-vstupn pole, b-vstupn pole, n-poet prvk
 while (n-- > 0)
   *b++ = *a++;
} // void copy_array2()

void print_array(const int *p, int n) {
//vytiskne celoseln pole o n prvcch a oddkuje
 while (n-- > 0)
   cout << *p++ << "  ";
 cout << endl;
} // void print_array()

int main() {
 const int N = 6;
 int pole1[] = {1, 2, 3, 4, 5, 6, 7, 8, 9},
     pole2[N], dim1;
 dim1 = sizeof(pole1) / sizeof(int);

 print_array(pole1, dim1);
 copy_array1(pole1, pole2, N);
 print_array(pole2, N);
 copy_array2(pole1 + 3, pole2, N);
 print_array(pole2, N);
 return 0;
} // int main()