/**********************
 * soubor cls-oper.cpp
 **********************/

#include <cmath>
#include <iostream>
#include <iomanip>
#include <cmath>

using namespace std;

class polar {
	double r, fi;
public:
	polar() : r(0.0), fi(0.0) {};// nezadny argumenty
	polar(double a) : r(a)       // argument r
		{fi = 0.0;};
	polar(double a, double b)    // oba argumenty
		: r(a), fi(b) {};
	polar operator+ (polar b);   // deklarace opertoru +

	double dej_r(void) {return r;};
	double dej_fi(void) {return fi;};
};

ostream& operator << (ostream& os, polar& po) {
	os << setw(8) << setprecision(4) << "r =" << po.dej_r()
	   << "\tfi =" << po.dej_fi() << endl;
	return os;
} // ostream& operator << (ostream& os, polar& po)

polar polar::operator+ (polar b) {
/****************************************
 * ! plat jen pro I. a II. kvadrant !
 ****************************************/
 double abs, fi, u;	// kolize identifiktor fi
	// a lenskho fi vyeena pstupem pomoc this:
 fi = this->fi - (this->fi - b.fi) / 2.0;
 if (this->fi < b.fi)
    u = M_PI + (this->fi - b.fi);
 else
    u = M_PI - (this->fi - b.fi);
 abs = sqrt(this->r * this->r + b.r * b.r - 2.0 
	 * this->r * b.r * cos(u));
 return polar(abs, fi);		// pechodn objekt typu polar
} // polar polar::operator+ (polar b)

// ************* main() *******************
int main() {
 polar x(1.0),            // polar::polar(double)
       y(1.0, M_PI / 2.0);// polar::polar(double, double)
 x = x + y;
 cout << x;               // operator << (cout, x)
 x = x + 10.0;// pechodn objekt vytvoen 
              // polar::polar(double 10.0)
 cout << x;   // operator << (cout, x)
 x = polar(0, 0) + 1; // dva pechodn objekty
     // prvn vytvoen polar::polar(double, double)
     // druhy pizpsobenm polar::polar(double)
 cout << x;           // operator << (cout, x)
 return 0;
} // int main()