/*****************************************
 * soubor stri-cls.cpp
 * vstup z proudu a tvorba instance tdy
 *****************************************/

#include <cmath>
#include <iostream>
#include <iomanip>

using namespace std;

//const double M_PI = 3.141592653589793238462643383L;

class polar {
	double r, fi;
public:
	polar() : r(0.0), fi(0.0) {}; // nezadny argumenty
	polar(double a) : r(a)	      // argument r
		{fi = 0.0;};
	polar(double a, double b)	  // oba argumenty
		: r(a), fi(b) {};
	polar operator+ (polar b);	  // deklarace opertoru +

	double dej_r(void) {return r;};
	double dej_fi(void) {return fi;};
};

ostream& operator << (ostream& os, polar& po) {
	os << setw(8) << setprecision(4) << "r =" << po.dej_r()
	   << "\tfi =" << po.dej_fi() << endl;
	return os;
}

istream& operator >> (istream& is, polar& po) {
	double a, b;
	is >> a >> b;
	po = polar(a, b);
	return is;
}

polar polar::operator+ (polar b) {
/****************************************
 * ! plat jen pro I. a II. kvadrant !
 ****************************************/
 double abs, fi, u;	// kolize identifiktoru fi
	// lenskho fi vyeena pstupem pomoc this:
 fi = this->fi - (this->fi - b.fi) / 2.0;
 if (this->fi < b.fi)
    u = M_PI + (this->fi - b.fi);
 else
    u = M_PI - (this->fi - b.fi);
 abs = sqrt(this->r * this->r + b.r * b.r - 2.0 * this->r 
       * b.r * cos(u));
 return polar(abs, fi);	// pechodn objekt typu polar
}

// ************* main() *******************
int main() {
 polar x,
    y(1.0, M_PI / 2.0); // polar::polar(double, double)
 cin >> x;
 x = x + y;
 cout << x;		           // operator << (cout, x)
 return 0;
} // int main()