/**********************
 * soubor stro-cls.cpp
 **********************/

#include <cmath>
#include <iostream>
#include <iomanip>

using namespace std;

//const double M_PI = 3.141592653589793238462643383L;

class polar {
	double r, fi;
public:
	polar(double a, double b) {r = a; fi = b;};
	double dej_r(void) {return r;};
	double dej_fi(void) {return fi;};
};

ostream& operator << (ostream& os, polar& po) {
	os << setw(8) << setprecision(4) << "r =" << po.dej_r()
	   << "\tfi =" << po.dej_fi() << endl;
	return os;
}

// ************* main() *******************
int main() {
 polar x(1.0, M_PI / 2.0);
 cout << x;					// operator << (cout, x)
 return 0;
} // int main()