/**************************************
 * soubor cls-minutka.cpp
 * ddinost -- sloit koncept!!!
 **************************************/

#include <iostream>

using namespace std;

class sekundy {
	int s;
  public:
	sekundy() {s = 0;}
	sekundy(int pocatek) {s = pocatek;}
	unsigned int operator()() {
		return s; } // dve dej_s()
	unsigned int operator()(int hodnota) {
		return s = hodnota; } // dve nastav_s()

	virtual int operator++(int) {	// postfixov verze
		return s++; } // dve zvys()
	virtual int operator++() {	// prefixov verze
		return ++s;} // dve zvys()

	virtual int operator--(int) {	// postfixov verze
		if (s > 0) return s--; return s;} // dve sniz()
	virtual int operator--() {	// prefixov verze
		if (s > 0) return --s; return s;} // dve sniz()
}; // class sekundy


class minuty : public sekundy {
	static const int MEZ_S = 60;
	static const int MEZ_M = 99;
	int m;
	void kontrola_uprava() {
		while (s > MEZ_S) {
			s -= MEZ_S; m++;
		}
	} // kontrola_uprava()
public:
	minuty() {s = 0; m = 0;}
	minuty(int se, int mi) {s = se; m = mi;}

	virtual int operator++(int) {	// postfixov verze
		int tmps = sekundy::operator++(int) * MEZ_S + m;
		kontrola_uprava();
		return tmps; } // kvli konzistenci vrac sekundy
//	virtual int operator++() {	// prefixov verze
//		return ++s;} // dve zvys()
//
//	virtual int operator--(int) {	// postfixov verze
//		if (s > 0) return s--; return s;} // dve sniz()
//	virtual int operator--() {	// prefixov verze
//		if (s > 0) return --s; return s;} // dve sniz()


}; // class minuty

int main() {
    int i;
	sekundy s; // konstruktor sekundy(); tj. s = 0;
	cout << "hodnota je " << s() << endl;
	for (i = 0; i < 100; i++)
		s++;	
	cout << "hodnota je " << s() << endl;
	s(999);
	cout << "hodnota je " << s() << endl;
	for (i=0; i < 100; i++)
		s--;
	cout << "hodnota je " << s() << endl;
	sekundy sc(123); // konstruktor sekundy(int pocatek); tj.s = pocatek;
	cout << "hodnota je " << sc++ << "\t" << sc() << endl;
	cout << "hodnota je " << ++sc << "\t" << sc() << endl; // sc.s me bt neaktuln
	cout << "hodnota je " << "\t" << sc() << endl; 
	cout << "hodnota je " << ++sc << "\t"; // rozdleno do dvou pkaz
	cout << sc() << endl; // te je sc.s urit aktuln

	minuty m1(123);

	cout << m1;
	return 0;
} // int main()