/**********************************************
 * program op-bit01.cpp
 * ukazuje bitov posuny,
 * a bitov operace 
 * konjunkce, disjunkce, nonekvivalence a negace,
 * (tj. and, or, xor, a bitov doplnk)
 **********************************************/

#include <iostream>	// vstupy a vstupy
#include <iomanip>  // formtovn vstupu

using namespace std; 

int main() {
 int vlevo1 = 1 << 1;
 int vlevo7 = 1 << 7;
 cout.setf(ios::showbase); // uke zklad seln soustavy
 cout << "  1 << 1 = " << dec << setw(6) << vlevo1 << hex << setw(6) << vlevo1 << endl;
 cout << "  1 << 7 = " << dec << setw(6) << vlevo7 << hex << setw(7) << vlevo7 << endl;

 int vpravo1 = -1 >> 1;
 int vpravo8 = 512 >> 8;
 cout << " -1 >> 1 = " << dec << setw(6) << vpravo1 << hex << setw(13) << vpravo1 << endl;
 cout << "512 >> 8 = " << dec << setw(6) << vpravo8 << hex << setw(6) << vpravo8 << endl;
 
 int k = 13 & 6;
 int d = 13 | 6;
 int non = 13 ^ 6;
 cout << " 13  & 6 = " << dec << setw(6) << k << hex << setw(6) << k << endl;
 cout << " 13  | 6 = " << dec << setw(6) << d << hex << setw(6) << d << endl;
 cout << " 13  ^ 6 = " << dec << setw(6) << non << hex << setw(6) << non << endl;

 k = 2 & 1;
 d = 2 | 1;
 non = 2 ^ 1;
 cout << "  2  & 1 = " << dec << setw(6) << k << hex << setw(6) << k << endl;
 cout << "  2  | 1 = " << dec << setw(6) << d << hex << setw(6) << d << endl;
 cout << "  2  ^ 1 = " << dec << setw(6) << non << hex << setw(6) << non << endl;
 return 0; 
} // int main()