/***************************
 * soubor sbln-tiskni.cpp
 * ablona pro funkci tisk()
 ***************************/

#include <iostream>
#include <string>
#include <iomanip>

using namespace std; 

class polar {
	double r, fi;
public:
	polar(double a, double b) 
		{r = a; fi = b;};	// konstruktor objektu
	double dej_r(void) {return r;};
	double dej_fi(void) {return fi;};
}; // class polar

ostream& operator << (ostream& os, polar& po) {
	os << setw(8) << setprecision(4) << "r =" << po.dej_r()
	   << "\tfi =" << po.dej_fi() << endl;
	return os;
} // ostream& operator << (ostream& os, polar& po)

template <class sablona> void tisk(sablona farg) {
 cout << "tisk: " << farg << endl;
} // template <class sablona> void tisk(sablona farg)


int main() {
 int i = 24;
 double x = 2005.03;
 string s = "kousek textu";
 polar y(65.43, 2.1);
 
 tisk(i);
 tisk(x);
 tisk(s);
 tisk(y);
 return 0;
} // int main()