/**************************************************
 * soubor sbln-zsb.cpp
 * zsobnk jako ablonov tda a jej instance
 **************************************************/

#include <iostream>
#include <new>
#include <exception>
#include <stdexcept>

using namespace std;

template <class sablona> class zasobnik {
private:
	int velikost;
	sablona *vrchol, *pzasobnik;
public:
	zasobnik(int i = 100) : velikost(i) {
		vrchol = pzasobnik = new sablona[velikost];
	}
	~zasobnik() {
		delete[] pzasobnik;
	}
	void push(sablona i) {
		if ((vrchol-pzasobnik) < velikost) {
			*vrchol = i; vrchol++;
		}
	}
	sablona pop() {
		if (--vrchol >= pzasobnik)
			return *vrchol;
		else
			throw new 
				out_of_range("neni prostor na zasobniku");
	}
}; // class zasobnik

int main() {
    int i;
	zasobnik <int> zas1(50);
	for (i = 0; i < 50; i++)
		zas1.push(i);
	cout << "zasobnik 1:" << endl;
	for(i=0; i < 5; i++)
		cout << zas1.pop() << '\t';
	cout << endl;

	zasobnik <double> zas2; 
	for (i = 0; i < 50; i++)
		zas2.push(i + i / 1000.0);
	cout << endl << "zasobnik 2:" << endl;
	for(i=0; i < 5; i++)
		cout << zas2.pop() << '\t';
	cout << endl;
	return 0;
} // int main()